import 'package:hmg_patient_app_new/extensions/int_extensions.dart';
import 'package:hmg_patient_app_new/extensions/widget_extensions.dart';
import 'package:hmg_patient_app_new/theme/colors.dart';
import 'package:flutter/material.dart';

class MoviesShimmerWidget extends StatelessWidget {
  const MoviesShimmerWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      child: Container(
          decoration: BoxDecoration(
            borderRadius: const BorderRadius.all(
              Radius.circular(10),
            ),
            border: Border.all(color: AppColors.lightGreyEFColor, width: 1),
            boxShadow: [
              BoxShadow(
                color: const Color(0xff000000).withOpacity(.05),
                blurRadius: 26,
                offset: const Offset(0, -3),
              ),
            ],
          ),
          child: Padding(
            padding: const EdgeInsets.all(12.0),
            child: Column(
              children: [
                Container(height: 100).toShimmer(),
                16.height,
                Container(height: 24).toShimmer(),
                16.height,
                Container(height: 48).toShimmer(),
                16.height,
                Container(height: 24).toShimmer(),
                8.height
              ],
            ),
          )),
    );
  }
}
